{#<pagetitle>NHS.UK | Application progress</pagetitle>#}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/input/macro.njk' import input %}
{% from '../../../common/components/button/macro.njk' import button %}
{% from '../../../common/components/p/macro.njk' import p %}
{% from '../../../common/components/link/macro.njk' import link %}

{{ heading({
    subHeading: { text: 'your-application.section.heading'},
    text:  'your-application.h1',
    classes: 'nhsuk-heading-l govuk-heading-l',
    locale: locale
}) }}
{{
    link({
      "text": "your-application.link",
      "href": "/save-claim",
      "arrow": false,
      "classes": "nhsuk-button nhsuk-button--secondary",
      locale: locale
    })
}}

{% for step in data.steps %}
<table class="nhsuk-table">
    <thead class="nhsuk-table__head" role="rowgroup">
    <tr class="nhsuk-table__row">
        <th class="nhsuk-table__header" scope="col" colspan="2" style="border: 0;"> {{ __({phrase: step.id, locale: locale }) }}</th>
    </tr>
    {% if step.subheading %}
        <tr class="nhsuk-table__row">
            <th class="nhsuk-table__header" scope="col" colspan="2"> {{ __({phrase: step.subheading, locale: locale }) }}</th>
        </tr>
    {% endif %}
    </thead>
    <tbody class="nhsuk-table__body">
    {% for c in step.children %}
        {% if step.body %}
            <tr class="nhsuk-table__row">
                <td colspan="2" style="border-bottom: 0;">{{ __({phrase: step.body, locale: locale }) }}</td>
            </tr>
        {% endif %}
    <tr class="nhsuk-table__row {{c.name}}">
        <td class="nhsuk-table__cell">
            <a href="{{c.link}}" class="" >{{ __({phrase: c.id, locale: locale }) }}</a>
        </td>
        <td class="nhsuk-table__cell">
            {% if c.status == "Cannot-start-yet" %}
            <strong class="nhsuk-tag nhsuk-tag--grey" >{{ __({phrase: 'your-application.status1', locale: locale }) }}</strong>
            {% endif %}
            {% if c.status === 'To-do' %}
            <strong class="nhsuk-tag nhsuk-tag--white" >{{ __({phrase: 'your-application.status2', locale: locale }) }}</strong>
            {% endif %}
            {% if c.status === 'ToDo' %}
            <strong class="nhsuk-tag nhsuk-tag--white" >{{ __({phrase: 'your-application.status2', locale: locale }) }}</strong>
            {% endif %}
            {% if c.status === 'Completed' %}
            <strong class="nhsuk-tag nhsuk-tag--dark-grey" >{{ __({phrase: 'your-application.status3', locale: locale }) }}</strong>
            {% endif %}
        </td>
    </tr>
    {% endfor %}

    </tbody>
</table>
{% endfor %}
{{
    link({
      "text": "common.button.continue",
      "href": data.nextStep.link,
      "arrow": false,
      "classes": "nhsuk-button",
      locale: locale
    })
}}
